# Filter provides from plugins.
%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/.*$


Name:		xed
Version:	1.6.2
Release:	1%{?dist}
Summary:	X-Apps [Text] Editor (Cross-DE, backward-compatible, GTK3, traditional UI)

License:	GPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libappstream-glib
BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(pygtksourceview-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	python%{python3_pkgversion}-devel

Requires:	iso-codes
Requires:	libpeas-loader-python%{python3_pkgversion}%{?_isa}
Requires:	python%{python3_pkgversion}-gobject%{?_isa}
Requires:	xapps%{?_isa}
Requires:	zenity%{?_isa}

%description
Xed is a small, but powerful text editor.  It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic indentation
of source code, printing and editing of multiple documents in one window.

Xed is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels.


%package devel
Summary:	Files needed to develop plugins for %{name}
Requires:	%{name}%{?_isa}	== %{version}-%{release}

%description devel
This package contains files needed to develop plugins for %{name}.


%package doc
Summary:	Documentation files for %{name}

BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.


%prep
%autosetup -p 1

# Use 'classic'-theme by default.
%{__sed} -i -e 's!tango!classic!g' data/org.x.editor.gschema.xml.in

# Make source-files noexec.
%{_bindir}/find . -type f -name '*.c' | %{_bindir}/xargs %{__chmod} -c 0644
%{_bindir}/find . -type f -name '*.h' | %{_bindir}/xargs %{__chmod} -c 0644

NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
export PYTHON=%{__python3}
%configure							\
	--disable-silent-rules					\
	--enable-gtk-doc

%make_build


%install
%make_install
%{__sed} -i -e '/.*<project_group>.*/d'				\
	%{buildroot}%{_datadir}/appdata/*.appdata.xml
%{_bindir}/find %{buildroot} -name '*.a' -print -delete
%{_bindir}/find %{buildroot} -name '*.la' -print -delete
%find_lang %{name}


%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop

# Validate AppData-files.
%{_bindir}/appstream-util validate-relax --nonet		\
	%{buildroot}%{_datadir}/appdata/*.appdata.xml


%if (0%{?rhel} && 0%{?rhel <= 7})
%post
%{_bindir}/update-desktop-database &> /dev/null || :

%postun
%{_bindir}/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif # (0%%{?rhel} && 0%%{?rhel <= 7})


%files -f %{name}.lang
%license AUTHORS COPYING debian/copyright
%doc ChangeLog README debian/changelog
%exclude %{_datadir}/%{name}/gir-1.0
%exclude %{_datadir}/%{name}/gir-1.0/*
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.x.editor.*service
%{_datadir}/glib-2.0/schemas/org.x.editor.*gschema.xml
%{_datadir}/help/*/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libexecdir}/%{name}
%{_mandir}/man1/%{name}.1*


%files devel
%{_datadir}/%{name}/gir-1.0
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%license %{_datadir}/licenses/%{name}*
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/gtk-doc


%changelog
* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.2-1
- Update to 1.6.2 release (rhbz#1513985)

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-2
- Adjustments for EPEL7

* Sat Nov 04 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-1
- Update to 1.6.0 release
- Fix conditional

* Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.6-6
- Some more fixes for EPEL

* Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.6-5
- Use Python34 on EPEL

* Fri Sep 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.6-4
- Adjustments for EPEL

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.6-1
- Update to 1.4.6 release (rhbz#1471446)

* Tue Jul 04 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.5-1
- Update to 1.4.5 release (rhbz#1467641)

* Fri Jun 30 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.4-2
- Fix filtered provides

* Wed Jun 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.4-1
- Update to 1.4.4 release (rhbz#1463461)
- Filter provides from plugins

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2 release (rhbz#1454988)

* Sun May 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- Update to 1.4.1 release (rhbz #1448673)

* Sat May 06 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Update to 1.4.0 release

* Sun Apr 02 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.2.2-3
- Redo patches with latest fixes

* Sat Apr 01 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.2.2-2
- Fix start up crash under wayland (rhbz #1438157)
- Fix 'format not a string literal' compile error

* Tue Feb 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-1
- Initial import (rhbz#1424798)

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.5
- Use 'classic'-theme by default
- Move devel-files to devel-pkg
- Remove exec-perms from source-files

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.4
- Add patch to update to recent master

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.3
- Fix dir-ownership for %%{_datadir}/help

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.2
- Doc-pkg should be noarch'ed

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.1
- Initial rpm-release (rhbz#1424798)
